<%= raw helper_doc_cause_validation %>

<table class='tablesorter tablesorter-blue'>
  <thead>
    <tr>
      <th><%= Tools::Cause.human_attribute_name :name %></th>
      <% @ishikawas.each_with_index do |ishikawa, index| %>
        <th><%= @ishikawa_names[index] %></th>
      <% end %>
      <th>
        <%= Tools::Cause.human_attribute_name :status %> <br>
        <!-- <span>
          <%#= fa_icon_status_presenter('icon-status-inprogress') %>in-progress /
          <%#= fa_icon_status_presenter('icon-status-validated') %> validated /
          <%#= fa_icon_status_presenter('icon-status-invalidated') %> invalidated
        </span> -->
      </th>
      <th><%= Tools::Cause.human_attribute_name :level %></th>
    </tr>
  </thead>

  <tbody>
    <% tools_causes.each do |cause| %>
      <tr>
        <td><%= cause.name_level.html_safe %></td>
        <% @ishikawas.each do |ishikawa| %>
          <td>
            <% cause_type_id = cause.ishi_cause_type_id(ishikawa) %>
            <%= cause_type_id != 0 ? Labels::CauseType.find(cause.ishi_cause_type_id(ishikawa))&.name : '-' %>
          </td>
        <% end %>
        <td style='text-align: center'>
          <%= icon_status(cause, 'status') %>
          <!-- &nbsp;&nbsp;<%#= t("simple_form.options.tools_cause.status.#{cause.status}") %> -->
        </td>
        <td style='text-align: center'><%= cause.level %></td>
      </tr>
    <% end %>
  </tbody>
</table>
